Installer throws undefined method `param_value' 
Status: Closed   

Priority: Normal   

Assignee:    

Category: foreman-installer script   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.24.2

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

TASK [foreman_installer : Run installer] *******************************

fatal: [centos7-katello-devel]: FAILED! => changed=true

cmd: foreman-installer v --no-colors --disable-system-checks --scenario katello-devel  --katello-devel-scl-ruby=rh-ruby25

--katello-devel-admin-password changeme

delta: '0:07:35.284553'

end: '2020-01-14 07:06:10.498070'

msg: non-zero return code

rc: 1

start: '2020-01-14 06:58:35.213517'

stderr: |

/usr/share/foreman-installer/katello/hooks/pre_commit/05-puppet_certs_exist.rb:7:in `block (4 levels) in load': undefined method

`param_value' for #<Kafo::HookContext:0x0000000192d9d8> (NoMethodError)

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:34:in `instance_eval'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:34:in `block (4 levels) in load'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hook_context.rb:16:in `instance_exec'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hook_context.rb:16:in `execute'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:51:in `block in execute'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:49:in `each'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:49:in `execute'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/kafo_configure.rb:150:in `execute'

from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/kafo_configure.rb:118:in `run'

from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'

from /usr/share/gems/gems/kafo-4.0.0/lib/kafo/kafo_configure.rb:162:in `run'

from /sbin/foreman-installer:8:in `<main>'

stderr_lines:

- '/usr/share/foreman-installer/katello/hooks/pre_commit/05-puppet_certs_exist.rb:7:in `block (4 levels) in load'': undefined method

`param_value'' for #<Kafo::HookContext:0x0000000192d9d8> (NoMethodError)'

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:34:in `instance_eval'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:34:in `block (4 levels) in load'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hook_context.rb:16:in `instance_exec'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hook_context.rb:16:in `execute'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:51:in `block in execute'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:49:in `each'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/hooking.rb:49:in `execute'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/kafo_configure.rb:150:in `execute'"

- "\tfrom /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/kafo_configure.rb:118:in `run'"

- "\tfrom /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'"

- "\tfrom /usr/share/gems/gems/kafo-4.0.0/lib/kafo/kafo_configure.rb:162:in `run'"

- "\tfrom /sbin/foreman-installer:8:in `<main>'"

stdout: |-

[ INFO 2020-01-14T06:58:44 verbose] Executing hooks in group pre_migrations

[ INFO 2020-01-14T06:58:44 verbose] All hooks in group pre_migrations finished

[ INFO 2020-01-14T06:58:44 verbose] Executing hooks in group boot

[ INFO 2020-01-14T06:58:44 verbose] All hooks in group boot finished
[ INFO 2020-01-14T06:58:44 verbose] Executing hooks in group init

[ INFO 2020-01-14T06:58:44 verbose] All hooks in group init finished

[ INFO 2020-01-14T06:58:44 verbose] Loading default values from puppet modules...

[ INFO 2020-01-14T06:58:44 verbose] ... finished

[ INFO 2020-01-14T06:58:44 verbose] Executing hooks in group pre_values

[ INFO 2020-01-14T06:58:44 verbose] All hooks in group pre_values finished

[ INFO 2020-01-14T06:58:44 verbose] Running installer with args [["-v", "--no-colors", "--disable-system-checks", "--scenario",

"katello-devel", "--katello-devel-scl-ruby=rh-ruby25", "--katello-devel-admin-password", "changeme"]]

[ INFO 2020-01-14T06:58:44 verbose] Executing hooks in group pre_validations

[ WARN 2020-01-14T06:58:44 verbose] Skipping system checks.

package puppet-agent-oauth is not installed

[ INFO 2020-01-14T06:58:44 verbose] All hooks in group pre_validations finished

[ INFO 2020-01-14T06:58:44 verbose] Running validation checks

[ INFO 2020-01-14T06:58:44 verbose] Executing hooks in group pre_commit

[ INFO 2020-01-14T06:58:44 verbose] Installer finished in 1.347713601 seconds

stdout_lines: <omitted>

History

#1 - 02/17/2020 03:48 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

This was an issue in nightly that I believe has since been resolved. If not, please reopen.
